<?php
/**
 * @Copyright
 * @package     Field - license check
 * @author      anton {@link https://jtotal.org}
 * @version     Joomla! 3.5 - 1.9.1
 * @date        Created on 09-01-2020
 * @link        Project Site {@link https://jtotal.org}
 *
 * @license GNU/GPL
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

defined('JPATH_PLATFORM') or die;

class JFormFielditpCheckGD extends JFormField
{
    protected $type = 'itpcheckgd';

    protected function getLabel(){
        return "";
        return "<strong>GD checking</strong>";
    }

    protected function getInput()
    {

        
        $field_set = $this->form->getFieldset();
        $field_value = '';

        $document = JFactory::getDocument();
        $plugin_path = JURI::root().'plugins/system/imgtopicture';
          

        $version = new JVersion();
        $jversion = substr($version->getShortVersion(), 0, 1);

        $document->addScriptdeclaration('var jversion="' . $jversion . '";');

        $params  = $this->form->getValue('params');


        /*  //JS
        if($debug){
            $document->addScript($media_path.'/js/s2sv4_backend.js');
        }else{
            $document->addScript($media_path.'/js/s2sv4_backend.min.js');
        }
        //CSS
        $document->addStyleSheet($media_path.'/css/s2sv4_backend.css', 'text/css'); */

        $document->addStyleSheet('https://use.fontawesome.com/releases/v5.12.0/css/all.css', 'text/css');



        if(function_exists('gd_info') === false){
            $gdInfos = array('FATAL'=>'GD is not supported by your server');
        }else{
            $gdInfos = gd_info();
        }
        


       


        $document->addScriptDeclaration('
            jQuery(document).ready(function(e) {

            });
        ');
      

        
        //Specifics
        //V4.X
        if(version_compare($version->getShortVersion(), '4.0', 'ge')){

        //V3.X
        }elseif(version_compare($version->getShortVersion(), '3', 'ge')){
                    
        }




        $field_value .= '<table class="table table-condensed" style="max-width:300px;">';

        
        $field_value .= '<tr><th colspan="2"><h5>GD SUPPORT</h5></th></tr>';
            //GD
            if(!isset($gdInfos['WebP Support']) OR !$gdInfos['WebP Support']) $field_value .= '<tr><td>WARNING</td><td>webp is not supported</td></tr>';

            foreach($gdInfos as $key => $gdinfo){

                $ok = ($gdinfo == '1' ? '<i class="far fa-check-circle"></i>' : $gdinfo);

                $field_value .= '<tr><td>'.$key.'</td><td>'.$ok.'</td><td ></td></tr>';
            }

        $field_value .= '</table>';

        return $field_value;
    }



}
