<?php


class plgSystemImgtopictureHelper
{


	/*CONTEXT*/
	public static function checkContext($pluginParams, $context) {

		$cont_article = $pluginParams->get('itp_context_article','1');
		$cont_category = $pluginParams->get('itp_context_category','0');
		$cont_modcustom = $pluginParams->get('itp_context_modcustom','0');

		
		
		$trueorfalse = false;

		if($context=='com_content.article' && $cont_article){
			$trueorfalse=true;
		}
		if($context=='com_content.category' && $cont_category){
			$trueorfalse=true;
		}
		if($context=='mod_custom.content' && $cont_modcustom){
			$trueorfalse=true;
		}

		return $trueorfalse;
	}


	//INCLUDE/EXCLUDE
	public static function checkPages_v3($pluginParams, $row, $context) {
		

		$category_id_v3 = $row->catid;
		$article_id_v3 = $row->id;

		$exists = (boolean)false;
		
		//In/ex categories
		$catids = $pluginParams->get('categories','');
		$cat_exc_inc = $pluginParams->get('cat_inc_exc','ex');

		if(gettype($catids)=="string") $catids = array("-1");

		if($cat_exc_inc=="in" && !$exists){
			//INclude
			if (is_array($catids)) {
				$exists = (in_array($category_id_v3,$catids)) ? true:false;
			}
			//all selected
			if(count($catids)!=0){
				if($catids[0]=="0") $exists = true;
			}else{
				$exists = true;
			}

		}else if($cat_exc_inc=="ex" && !$exists){
			//INclude
			if (is_array($catids)) {
				$exists = (in_array($category_id_v3,$catids)) ? false:true;
			}
			//all selected
			if(count($catids)!=0){
				if($catids[0]=="0") $exists = false;
			}else{
				$exists = false;
			}

		}

		//In/ex articles
		//$article_ids = explode(',',$pluginParams->get('article_ids',''));
		$article_ids = $pluginParams->get('article_ids','');
		$article_exc_inc = $pluginParams->get('article_inc_exc','ex');
		
		if($article_exc_inc=="in" && !$exists){
			//INclude
			if (is_array($article_ids)) {
				$exists = (in_array($article_id_v3,$article_ids)) ? true:false;
			}

		}else if($article_exc_inc=="ex" && $exists){

			//INclude
			if (is_array($article_ids)) {
				$exists = (in_array($article_id_v3,$article_ids)) ? false:true;
			}else {
				//not sure
				$include = true;
			}
		}
		return $exists;
	}





	/*create path for thumbs*/
	public static function _createPath($path) {
	    if (is_dir($path)) return true;
	    $prev_path = substr($path, 0, strrpos($path, '/', -2) + 1 );
	    $return = self::_createPath($prev_path);
	    return ($return && is_writable($prev_path)) ? mkdir($path) : false;
	}

	

	public static function isAbsoluteUrl($url)
    {
        $pattern = "/^(?:ftp|https?|feed)?:?\/\/(?:(?:(?:[\w\.\-\+!$&'\(\)*\+,;=]|%[0-9a-f]{2})+:)*
        (?:[\w\.\-\+%!$&'\(\)*\+,;=]|%[0-9a-f]{2})+@)?(?:
        (?:[a-z0-9\-\.]|%[0-9a-f]{2})+|(?:\[(?:[0-9a-f]{0,4}:)*(?:[0-9a-f]{0,4})\]))(?::[0-9]+)?(?:[\/|\?]
        (?:[\w#!:\.\?\+\|=&@$'~*,;\/\(\)\[\]\-]|%[0-9a-f]{2})*)?$/xi";

        return (bool) preg_match($pattern, $url);
    }


	public static function exttoWebp($url,$webp = false){


		if(!$webp){
			return $url;
		}

		$path      = parse_url($url, PHP_URL_PATH);
		$extension = pathinfo($path, PATHINFO_EXTENSION); 

		

		return substr($url, 0, -strlen($extension)).'webp';
	}

	public static function getSizeAvailable($params,$currentSize){

		$itp_mobile 	= $params->get('itp_mobile','0');
		$itp_mobile_w 	= $params->get('itp_mobile_width','300');
		$itp_tablet 	= $params->get('itp_tablet','0');
		$itp_tablet_w 	= $params->get('itp_tablet_width','480');
		$itp_desktop	= $params->get('itp_desktop','0');
		$itp_desktop_w 	= $params->get('itp_desktop_width','768');
		$itp_tv 		= $params->get('itp_tv','0');
		$itp_tv_w 		= $params->get('itp_tv_width','890');

		$itp_opt_def 	= $params->get('itp_opt_def','0');
		$itp_opt_def_w	= $params->get('itp_opt_def_width','1600');


		switch ($currentSize) {
			case 'extra':
				if($itp_tv){
					return $itp_tv_w;
				}elseif($itp_desktop){
					return $itp_desktop_w;
				}elseif($itp_tablet){
					return $itp_tablet_w;
				}elseif($itp_mobile){
					return $itp_mobile_w;
				}else{
					return 0;
				}
				break;
			case 'tv':
				if($itp_desktop){
					return $itp_desktop_w;
				}elseif($itp_tablet){
					return $itp_tablet_w;
				}elseif($itp_mobile){
					return $itp_mobile_w;
				}else{
					return 0;
				}
				break;
			case 'desktop':
				if($itp_tablet){
					return $itp_tablet_w;
				}elseif($itp_mobile){
					return $itp_mobile_w;
				}else{
					return 0;
				}
				break;
			case 'tablet':
				if($itp_mobile){
					return $itp_mobile_w;
				}else{
					return 0;
				}
				break;
		}


		return 'x';
	}



}

?>
